@tig said:
I strongly recommend that you use a set of layers to control the visibility of objects - assign layers to containers [groups/component-instances] not 'raw' geometry.
Using hide/unhide too much can lead to confusion - as you've found...
Especially if they are say faces associated with still visible edges - the face will vanish if the edges is erased and you won't notice it because it was hidden.
If you have hidden an object then its 'ghost becomes visible if View > Hidden Geometry is toggled ON.
You can now select it like any other object - multiple selections are possible if you hold Ctrl or use a fence etc.
The right-click context-menu has a Unhide option [as well as the Hide one] - then the selected objects are no longer hidden.
Also Entity Info lists the selections 'hidden' state and you can tick/untick the option to change them all en mass too...
To unhide all current active entities [assuming you have a confused mess!] you can copy/paste this one liner into the Ruby Console + <enter> to make all active entities visible
Sketchup.active_model.active_entities.each{|e|e.hidden=false if e.hidden?}
If objects inside groups or components have been hidden you need to run this whist in the edit context of that container. Use with care because some 3rd-party components etc might contain hidden edges on purpose so that where they abut [say a mirrored instance of itself] there are no visible edges at the junction...
Is there a way to run this through all existing objects and not just the active context?